/****** Object:  Stored Procedure dbo.sp_clean_data    Script Date: 1/24/98 7:08:30 PM ******/
SET QUOTED_IDENTIFIER ON
GO
if exists (select * from sysobjects where id = object_id('dbo.sp_clean_data') and sysstat & 0xf = 4)
	drop procedure "dbo"."sp_clean_data"
GO

CREATE PROCEDURE sp_clean_data
        WITH RECOMPILE
AS


/************

 * Options  *
 ************/

SET NOCOUNT ON


/*
 * Name: 	sp_clean_data
 * Author:	Gavin
 * Function: Clears all data fidelio tables namely    
 *                sci_xtended                         
 *                nonsci_xtended                      
 *                room_allocation                     
 * Returns:     None

 *	

 * Change history
 * --------------
 * Oct 23: Was born.
 */


/********************************
 * Trap for non-existent tables *
 ********************************/
if not exists (select * from sysobjects 
              where id = object_id('dbo.room_allocation')
              AND sysstat & 0xf = 3)
BEGIN
	raiserror (90001,1,-1) WITH LOG
END

if not exists (select * from sysobjects 

              where id = object_id('dbo.sci_xtended')
              AND sysstat & 0xf = 3)
BEGIN
	raiserror (90002,1,-1) WITH LOG
END

if not exists (select * from sysobjects 
              where id = object_id('dbo.nonsci_xtended')
              AND sysstat & 0xf = 3)
BEGIN
	raiserror (90003,1,-1) WITH LOG
END

delete sci_xtended
delete nonsci_xtended
delete room_allocation
GO

SET QUOTED_IDENTIFIER OFF
GO
