/****** Object:  Stored Procedure dbo.sp_email_exist    Script Date: 1/25/98 1:39:54 AM ******/
SET QUOTED_IDENTIFIER ON
GO
if exists (select * from sysobjects where id = object_id('dbo.sp_email_exist') and sysstat & 0xf = 4)
	drop procedure "dbo"."sp_email_exist"
GO

Create Procedure sp_email_exist
	@sci_number varchar(16) = '0'  -- default means nonsci
As

SET NOCOUNT ON
/*
 * Name: 	    sp_email_exist
 * Author:	    Gavin/Phang
 * Function:	Checks if sci guest already has userid/passwd tuple.
 * Returns:
 *	1  - exist.
 *  2  - does not exist yet.
 *	3  - sci_xtended does not exist.
 *
 * Change history
 * --------------
 * Jan 25: birthday
 *
 * Wish List
 * ---------
 * [1] Need to check if the userid/passwd fields are empty ?
 */


/********************************
 * Trap for non-existent tables *
 ********************************/
if not exists (select * from sysobjects 
              where id = object_id('dbo.sci_xtended')
              AND sysstat & 0xf = 3)
BEGIN
	raiserror (90002,1,-1) WITH LOG 
	return 3
END


if (@sci_number <> '0')
BEGIN
	/* check sci_xtended */
	if exists (select * from sci_xtended 
           where sci_num = @sci_number)
    BEGIN
		return 1 -- signify 'true'
	END
	else
	BEGIN
		return 2 -- signify 'false'
	END
END
else
BEGIN
	return 2 -- signify 'false'
END
GO

SET QUOTED_IDENTIFIER OFF
GO
