/****** Object:  Stored Procedure dbo.sp_email_register    Script Date: 1/25/98 1:39:54 AM ******/
SET QUOTED_IDENTIFIER ON
GO
if exists (select * from sysobjects where id = object_id('dbo.sp_email_register') and sysstat & 0xf = 4)
	drop procedure "dbo"."sp_email_register"
GO

Create Procedure sp_email_register
	@sci_number varchar(16) = '0',  -- default means nonsci
    @userid varchar(32),
	@passwd varchar(8)
As
/****************
 * Declarations *
 ****************/
DECLARE @is_sci          smallint
/************
 * Options  *
 ************/
SET NOCOUNT ON
/*
 * Name: 	    sp_email_register
 * Author:	    Gavin/Phang
 * Function:	Store the username/password combination into sqlsvr
 * Returns:
 *	1  - ok.
 *	2  - sci_xtended does not exist.
 *  3  - update of sci_xtended failed.
 *  4  - sci %s record NOT found in sci_xtended
 *
 * Change history
 * --------------
 * Jan 25: birthday
 *        
 * Wish list (Jan/25/98)
 * ---------------------
 * [1] when updating sci_xtended; need to update timestamp too!
 *
 */




/******************* 
 * Initialization  *
 *******************/
select @is_sci     = 0 /* not sci member by default */
/******************* 
 * Data validation *
 *******************/
if (@sci_number <> '0')
BEGIN
   select @is_sci = 1 -- log to sci_xtended	
END 
else
BEGIN
   select @is_sci = 0 -- log to nonsci_email
END
/********************************
 * Trap for non-existent tables *
 ********************************/
if not exists (select * from sysobjects 
              where id = object_id('dbo.sci_xtended')
              AND sysstat & 0xf = 3)
BEGIN
	raiserror (90002,1,-1) WITH LOG 
	return 2
END


/*** Decide which table to use ***/
if (@is_sci = 1)
BEGIN
	/* SCI member */
	if exists (select * from sci_xtended 
           where sci_num = @sci_number)
	BEGIN

		update sci_xtended
	           set passwd=@passwd,
                   userid=@userid	      
               where sci_num=@sci_number
        if @@error <> 0
        BEGIN

	      	raiserror(90005,1,-1) WITH LOG 
		    return 3
	    END
        return 1 -- all is well if we reached here!
	END
	else
	BEGIN
	    raiserror('sp_email_register: sci %s record NOT found in sci_xtended',1,-1, @sci_number) WITH LOG
        return 4
	END

END
else
BEGIN
	/* non SCI member */
    raiserror('Pretend Logging into nonsci_email',1,-1) WITH LOG
    return 1
END

GO

SET QUOTED_IDENTIFIER OFF
GO
