/****** Object:  Stored Procedure dbo.sp_findwhotocharge    Script Date: 1/24/98 6:45:50 PM ******/
SET QUOTED_IDENTIFIER ON
GO
if exists (select * from sysobjects where id = object_id('dbo.sp_findwhotocharge') and sysstat & 0xf = 4)
	drop procedure "dbo"."sp_findwhotocharge"
GO

/****** Object:  Stored Procedure dbo.sp_findwhotocharge    Script Date: 10/17/97 2:58:00 PM ******/
CREATE PROCEDURE sp_findwhotocharge
	@room_number varchar(8),
	@guest_number varchar(8) OUTPUT,
	@guest_name varchar(255) OUTPUT
AS
/********************************************
 * Last updated: Nov 27 1997                *
 *                                          *
 * Change history:                          *
 * ---------------                          *
 * Aug 3: Took out 'WITH LOG' from raiserror*
 *        Added 'SET NOCOUNT ON' option.    *
 * Nov 27: Added 'WITH LOG' back.           *         
 *                                          *
 *                                          *
 * returns:	                            *
 *                                          *
 * 1  -  ok	                            *
 * 2  -  room_number null	            *
 * 3  -  room unoccupied	            *
 ********************************************/
SET NOCOUNT ON
DECLARE @numofrecs smallint
DECLARE @min_chargeflag smallint
/* check validity of room number */
if @room_number is NULL
   BEGIN
   	raiserror('Bad Room Number: %s',7,1,@room_number) WITH LOG
   	return 2
   END
else
   BEGIN
	/* find record */
	select @numofrecs = COUNT(*) from room_allocation where room_num = @room_number
	select @guest_number = CONVERT(VARCHAR, @numofrecs)
        if @numofrecs = 1
	   BEGIN
		select @guest_number = guest_num,
                @guest_name = lastname from room_allocation where

         	room_num = @room_number
		return 1
	   END
        else
	   BEGIN
		if @numofrecs = 0
		   BEGIN
			select @guest_number = null
			select @guest_name = null
		   	raiserror('sp_findwhotocharge: No one to charge to in room %s',7,1,@room_number) WITH LOG

			return 3
		   END
		else
		   BEGIN
			select @min_chargeflag = MIN(chargeflag)
			from room_allocation
			where room_num = @room_number
			/* that's the guy we charge to */
			select @guest_number = guest_num, 
			       @guest_name = lastname
			       from room_allocation
			       where room_num = @room_number and
				chargeflag = @min_chargeflag
			return 1
		   END
                END 
END

GO

SET QUOTED_IDENTIFIER OFF
GO
