/****** Object:  Stored Procedure dbo.sp_getprice    Script Date: 1/24/98 6:56:34 PM ******/
SET QUOTED_IDENTIFIER ON
GO
if exists (select * from sysobjects where id = object_id('dbo.sp_getprice') and sysstat & 0xf = 4)
	drop procedure "dbo"."sp_getprice"
GO

/****** Object:  Stored Procedure dbo.sp_getprice    Script Date: 10/17/97 2:58:00 PM ******/
CREATE PROCEDURE sp_getprice
	@sid	int,
	@price	int OUTPUT
AS
/**************************************
 * Returns:              	      *
 *	1 - ok           	      *
 *	2 - invalid sid               *
 *	3 - invalid price table       *
 *	4 - no record for id in table *
 **************************************/


/*******************
 * OPTIONS         *
 *******************/
SET NOCOUNT ON

/*******************
 * DECLARATIONS    *
 *******************/


if not exists (select * from sysobjects 
              where id = object_id('dbo.prices')
              AND sysstat & 0xf = 3)
BEGIN

	raiserror ('prices table not found',1,-1)
	return 3
END
else
BEGIN
	if (@sid >= 0 AND @sid <= 1000)
	BEGIN
		if exists (SELECT service_price
                                  from prices
                                  where service_id=@sid)
		BEGIN
			select @price=service_price
				from prices where
				service_id=@sid
			raiserror('Success...!!',1,-1)
			return 1
		END
		else
		BEGIN
			raiserror('No records found',1,-1)
			return 4
		END
	END

	else
	BEGIN
		raiserror('Invalid service id',1,-1)
		return 2
	END
END

GO

SET QUOTED_IDENTIFIER OFF
GO
