/****** Object:  Stored Procedure dbo.sp_isinrange    Script Date: 1/24/98 6:41:20 PM ******/
SET QUOTED_IDENTIFIER ON
GO
if exists (select * from sysobjects where id = object_id('dbo.sp_isinrange') and sysstat & 0xf = 4)
	drop procedure "dbo"."sp_isinrange"
GO

/****** Object:  Stored Procedure dbo.sp_isinrange    Script Date: 10/17/97 2:58:00 PM ******/
CREATE PROCEDURE sp_isinrange
	@room_number int
AS


/****************
 * Declarations *
 ****************/
DECLARE @total          smallint
DECLARE @count          smallint
DECLARE @startroom 	int
DECLARE @endroom	int

select @count = 1




/************
 * Options  *
 ************/
SET NOCOUNT ON



/*
 * Name: 	sp_isinrange
 * Author:	Gavin
 * Function:	Decide whether a room number is acceptable.
 *
 * Uses:
 *	room_range 
 * Returns:
 * 	1 - in range
 *      2 - not in range
 *	3 - table room_range not found
 *	
 * Change history
 * --------------
 * Aug 4: Was born.
 *
 */


/******************* 
 * Data validation *
 *******************/

/********************************
 * Trap for non-existent tables *
 ********************************/

if not exists (select * from sysobjects 
              where id = object_id('dbo.room_range')
              AND sysstat & 0xf = 3)
BEGIN

	raiserror ('table: room_range not found',1,-1)
	return 3
END
else
BEGIN
	select @total=COUNT(*) from room_range
	if (@total >=1)
	BEGIN
		while(@count <= @total)
		BEGIN
			select @startroom=startroom, 
			       @endroom=endroom
			from room_range where id=@count

			if (@room_number >= @startroom AND
                            @room_number <= @endroom)
			BEGIN
				raiserror('Found',1,-1)
				return 1			
			END
			select @count = @count + 1
		END
		return 2
	END
	else
	BEGIN
		raiserror('room_range empty: assume not in range',1,-1)
		return 2
	END
END

GO

SET QUOTED_IDENTIFIER OFF
GO
